#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EStreamQualityPreference {
    Automatic = -1,
    Fast = 1,
    Balanced = 2,
    Beautiful = 3,
}

impl EStreamQualityPreference {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Automatic as i32 => Some(Self::Automatic),
            x if x == Self::Fast as i32 => Some(Self::Fast),
            x if x == Self::Balanced as i32 => Some(Self::Balanced),
            x if x == Self::Beautiful as i32 => Some(Self::Beautiful),
            _ => None,
        }
    }
}
